%global mod_name webassets
%if 0%{?fedora}
%global with_python3 1
%else
%global with_python3 0
%endif

Name:           python-webassets
Version:        0.10.1
Release:        3%{?dist}
Summary:        Media asset management for python
Group:          Development/Libraries
License:        BSD
URL:            http://github.com/miracle2k/%{mod_name}
Source0:        https://pypi.python.org/packages/source/w/%{mod_name}/%{mod_name}-%{version}.tar.gz
# https://github.com/miracle2k/webassets/pull/372
Patch1:         0001-support-jsmin.py-from-v8.patch
# https://github.com/miracle2k/webassets/pull/373
Patch2:         0001-fix-tests-for-Sass-3.4.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools
# test requirements
BuildRequires:  python-nose
BuildRequires:  pytest
BuildRequires:  python-mock
# v8 is just for jsmin.py
BuildRequires:  v8
# skipping pyscss tests for now since 1.2+ is intentionally not supported
#BuildRequires:  python-scss
%if !0%{?epel}
BuildRequires:  /usr/bin/sass
# skipping compass tests for now since compass is currently broken:
# https://bugzilla.redhat.com/show_bug.cgi?id=1152676
#BuildRequires:  /usr/bin/compass
BuildRequires:  python-cssutils
BuildRequires:  python-slimit
%endif
BuildRequires:  python-cssmin
BuildRequires:  /usr/bin/uglifyjs
BuildRequires:  /usr/bin/lessc
BuildRequires:  /usr/bin/coffee
BuildRequires:  /usr/bin/handlebars
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-setuptools
# test requirements
BuildRequires:  python3-nose
BuildRequires:  python3-pytest
BuildRequires:  python3-mock
# these are not ported to Python 3 yet
#BuildRequires:  python3-slimit
#BuildRequires:  python3-cssutils
#BuildRequires:  python3-scss
#BuildRequires:  python3-cssmin
%endif


%description
Merges, minifies and compresses Javascript and CSS files, 
supporting a variety of different filters, including YUI, 
jsmin, jspacker or CSS tidy. Also supports URL rewriting in CSS files.

%if 0%{?with_python3}
%package -n python3-webassets
Summary:        Media asset management for python

%description -n python3-webassets
Merges, minifies and compresses Javascript and CSS files, 
supporting a variety of different filters, including YUI, 
jsmin, jspacker or CSS tidy. Also supports URL rewriting in CSS files.
%endif


%prep
%setup -q -n %{mod_name}-%{version}
sed -i "s|\r||g" README.rst
sed -i "s|\r||g" docs/index.rst
sed -i "s|\r||g" docs/conf.py
sed -i "s|\r||g" docs/builtin_filters.rst
sed -i "s|\r||g" docs/Makefile
sed -i "s|\r||g" docs/make.bat
sed -i "s|\r||g" docs/faq.rst
%patch1 -p1
%patch2 -p1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
# rename python3 binary to avoid collision
sed -i "/entry_points=/ s/webassets =/python3-webassets =/" %{py3dir}/setup.py
%endif

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%check
export LC_ALL=en_US.utf8
PYTHONPATH=src py.test

%if 0%{?with_python3}
pushd %{py3dir}
PYTHONPATH=src py.test-%{python3_version}
popd
%endif

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
sed -i -e '/^#!\//, 1d' $RPM_BUILD_ROOT%{python_sitelib}/%{mod_name}/filter/rjsmin/rjsmin.py
 
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
sed -i -e '/^#!\//, 1d' $RPM_BUILD_ROOT%{python3_sitelib}/%{mod_name}/filter/rjsmin/rjsmin.py
popd
%endif

%files
%doc docs/ README.rst CHANGES LICENSE PKG-INFO
%{_bindir}/%{mod_name}
%{python_sitelib}/*.egg-info/
%{python_sitelib}/%{mod_name}/

%if 0%{?with_python3}
%files -n python3-webassets
%doc docs/ README.rst CHANGES LICENSE PKG-INFO
%{_bindir}/python3-%{mod_name}
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/%{mod_name}/
%endif

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 17 2014 Dan Callaghan <dcallagh@redhat.com> - 0.10.1-2
- fixed jsmin filter to work with jsmin.py from v8
- unit tests are run in %%check
- fixed tests to work with Sass 3.4

* Mon Nov 10 2014 Dan Callaghan <dcallagh@redhat.com> - 0.10.1-1
- new upstream release 0.10.1:
  http://webassets.readthedocs.org/en/latest/upgrading.html#in-0-10

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Nov 14 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.9-1
- Updated to new source and added python3 support 

* Tue Sep 24 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.8-3
- Added python-setuptools as requires. 

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 1 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.8-1
- New Release 

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug  8 2012 Tom Callaway <spot@fedoraproject.org> - 0.7.1-1
- 0.7.1 (cleaned out jsmin.py)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-1
- New release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.5-1
- Initial RPM release
